Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160326 - Inkscape segfault when called from command line for conversion
Summary: Inkscape segfault when called from command line for conversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phillip Compton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 14:18 UTC by Nicu Buculei
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.42-2.fc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 18:33:03 UTC


Attachments (Terms of Use)
test case (deleted)
2005-06-14 14:21 UTC, Nicu Buculei
no flags Details

Description Nicu Buculei 2005-06-14 14:18:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Inkscape can be used from command line to perform various functions, like convert from SVG to PNG. In such case, the program segfault.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a SVG file, for example shape.svg
2. from a terminal use "inkscape -f shape.svg -e shape.png"

  

Actual Results:  at this point Inkscape crashes (segfault)

Expected Results:  the SVG should be exported as shape.png

Additional info:

run with gdb I got this:

(process:1757): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed

(process:1757): GLib-GObject-CRITICAL **: g_object_get: assertion `G_IS_OBJECT (object)' failed

(process:1757): GLib-GObject-WARNING **: value "TRUE" of type `gboolean' is invalid or out of range for property `visible' of type `gboolean'

(process:1757): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion `quark > 0' failed

(process:1757): glibmm-CRITICAL **: Glib::ObjectBase*<unnamed>::create_new_wrapper(GObject*): assertion `wrap_func_table != 0' failed

(process:1757): glibmm-WARNING **: failed to wrap type of 'GtkVBox'

(process:1757): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion `quark > 0' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 2128384 (LWP 1757)]
0x0245bcae in Gtk::Box::pack_start () from /usr/lib/libgtkmm-2.4.so.1
(gdb) bt
#0  0x0245bcae in Gtk::Box::pack_start () from /usr/lib/libgtkmm-2.4.so.1
#1  0x0828f88f in Glib::PropertyProxy<Glib::ustring>::set_value ()
#2  0x0828c62b in Glib::PropertyProxy<Glib::ustring>::set_value ()
#3  0x08067c30 in ?? ()
#4  0x009d4de6 in __libc_start_main () from /lib/libc.so.6
#5  0x08067681 in ?? ()

Comment 1 Nicu Buculei 2005-06-14 14:21:00 UTC
Created attachment 115406 [details]
test case

sample file to reproduce the crash

Comment 2 VnPenguin 2005-06-15 10:36:20 UTC
I have the same bug here.

Comment 3 VnPenguin 2005-06-15 10:41:39 UTC
Just tried static rpm from http://inkscape.org/download.php.
The same bug when using command line above.

Comment 4 Nicu Buculei 2005-06-15 10:49:31 UTC
In order to escape the bug I switched to the autopackage version from
inkscape.org which appears to work fine

Comment 5 Michael Schwendt 2005-07-26 01:10:24 UTC
Inkscape 0.42 fixes this here when building it for FC4. Update prepared in CVS,
Fedora Extras development for now, however.


Phillip, what's the background of this comment in the spec?

#temporarily disabled until I can look into it further
#--with-gnome-print             \


Comment 6 Michael Schwendt 2005-07-29 18:33:03 UTC
Upstream doesn't build with gnome-print either, so 0.42-2.fc4 will fix this.



Note You need to log in before you can comment on or make changes to this bug.